libzypp 17.37.10

zyppng::NetworkRequest::Timings Struct Reference

`#include <zypp-curl/ng/network/request.h>`

## Public Attributes
std::chrono::microseconds | namelookup
std::chrono::microseconds | connect
std::chrono::microseconds | appconnect
std::chrono::microseconds | pretransfer
std::chrono::microseconds | total
std::chrono::microseconds | redirect

## Detailed Description

Definition at line 78 of file request.h.

## Member Data Documentation

## ◆ namelookup

std::chrono::microseconds zyppng::NetworkRequest::Timings::namelookup

Definition at line 79 of file request.h.

## ◆ connect

std::chrono::microseconds zyppng::NetworkRequest::Timings::connect

Definition at line 80 of file request.h.

## ◆ appconnect

std::chrono::microseconds zyppng::NetworkRequest::Timings::appconnect

Definition at line 81 of file request.h.

## ◆ pretransfer

std::chrono::microseconds zyppng::NetworkRequest::Timings::pretransfer

Definition at line 82 of file request.h.

## ◆ total

std::chrono::microseconds zyppng::NetworkRequest::Timings::total

Definition at line 83 of file request.h.

## ◆ redirect

std::chrono::microseconds zyppng::NetworkRequest::Timings::redirect

Definition at line 84 of file request.h.

The documentation for this struct was generated from the following file:

- zypp-curl/ng/network/request.h